<?php 
	session_start();
	error_reporting(0);
	if (isset ($_POST['login']) && isset($_POST['pasw'])){
		$_POST['login']=trim($_POST['login']);
		$_POST['pasw']=trim($_POST['pasw']);
		if(@$_POST['login']=="" || @$_POST['pasw']=="")
		{
			echo "<meta http-equiv=refresh content='0; url=index.php'>";
			exit();
		}
		$content=file("../../sg_cm/conf/conf/conf.php");
		$content[0]=trim($content[0]);
		$content[1]=trim($content[1]);
		
		if(($content[0]!=md5($_POST['login'])) || ($content[1]!=md5($_POST['pasw'])) )
		{
			echo "<meta http-equiv=refresh content='0; url=index.php'>";
			exit();
		}
		//Сохраняем сессию в настройках
		
		//Обработка
		$f=fopen("../../sg_cm/conf/conf/conf.php","w");
		fwrite($f,$content[0]."\r\n");
		fwrite($f,$content[1]."\r\n");
		fwrite($f,session_id());
		fclose($f);
		
		//echo "<meta http-equiv=refresh content='0; url=admin4.php?sel4=selected.php'>";
		//Определим корневую директорию сайта
		
		function sg_root()
		{
		$sg_root='';	
		$Sg_root= explode("/",$_SERVER['PHP_SELF']);
		for ($i=1; $i<(count($Sg_root)-3); $i++)
		{$sg_root.=$Sg_root[$i]."/";} 
		$sg_root=rtrim($sg_root,"/");
		if (!is_file ($_SERVER['DOCUMENT_ROOT'].'/'.$sg_root.'/sg_cm/root.php'))  $sg_root='';
		else {$f = @file_get_contents('../../sg_cm/root.php');
		$f_arr = explode('"', $f);
		$f_arr[1] = $sg_root; $f = implode ('"', $f_arr);
		if(!empty($f)) @file_put_contents('../../sg_cm/root.php',$f);
		}}
		sg_root();
		
		echo "<meta http-equiv=refresh content='0; url=../../sg_cm/sg_cm'>";
		exit();
	}
	$b=file_get_contents("../sg_cm/cap2.html");  
	$a=strpos($b,"opUpWin('htt");
	$c=substr($b,$a+9,19);
	$sn="001200";$dt=100000000;
	if (file_exists ("time")) {$t=filemtime("time");
	$dt=time()-$t;}
	
	if (!isset($_GET['ac'])||$_GET['ac']!='') {
		if ($dt>1204813){
			$data="var=".urlencode($_SERVER['SERVER_NAME']."*".$_SERVER['HTTP_HOST']."*".$sn."*".$_SERVER['PHP_SELF']."*".date("d.m.y"));
			touch("time");
			$adr=$c."/license/lic.php?".$data;@header ("Location: ".$adr);
		}
	}
	
	echo "<!DOCTYPE html><!--".$sn." -->";
	$dt1=100000000;
	if (file_exists ("time1")) {$t1=filemtime("time1");
	$dt1=time()-$t1;} 
	if ($dt1>604821){  
		$url = $c."/license/".$sn.".txt";
		if (function_exists(stream_context_set_default)) 
		stream_context_set_default(
		array (
        'http' => array (
		'method' => 'HEAD',
		'timeout' => 6
        )
		)
		); 
		$headers = @get_headers($url);
		if (preg_match("/(200 OK)$/", $headers[0])) {
			$inf=@file_get_contents($url);echo "===-".$inf."-===";
			touch("time1",1400000000); @unlink("time1");touch("time",1400000000); @unlink("time");
			echo "<meta http-equiv=refresh content='3; url=".$c."/lic.html'>";
			exit;
		} else {touch("time1");}
	}
	
?> 


<html lang="ru">
	<head>
		<meta charset="utf-8" />
		<title>Авторизация</title>
		<link rel="stylesheet" type="text/css" href="css/style.css" />
		<script src="js/modernizr.custom.63321.js" ></script >
		<!--[if lte IE 9]><style>.main{display:none;} .support-note .note-ie{display:block;}</style><![endif]-->
		
	</head>
	<body> 
		
		
		<div class="container">
			<header>
			<span style="text-align:center; color:red;">Внимание! Эта версия программы предназначена только для ознакомления. Вы можете использовать ее не более 6 месяцев с момента скачивания.</span>
				<h2>Авторизация для администратора</h2>
				<div class="support-note">
					<span class="note-ie">Извините, только в современных браузерах .</span>
				</div>
			</header>
			<section class="main">
				<form class="form-1"  METHOD='POST'>
					<p class="field">
						<input type="text" name="login" placeholder="Логин">
						<i class="icon-user icon-large"></i>
					</p>
					<p class="field">
						<input type="password" name="pasw" placeholder="Пароль">
						
						<i class="icon-lock icon-large"></i>
					</p>
					<p class="submit">
						<button type="submit" name="go" VALUE='Вход'><i class="icon-arrow-right icon-large"></i></button>
					</p>
				</form>
				</section><header>
				<br/><br/> <br/><br/><br/><br/> <br/><br/>
				<a  class=a_demo_one href=../../cons>Вход для консультантов</a>
			</header>
		</div>
	</body>
</html>
